acme-commander

    1.5.5 • Public • Published

    acme-commander

    Twin-panel file manager.

    screenshot from 2017-10-29 16-32-37

    Usage

    Quick start assumes you run a common desktop. Customizing your system? Make sure you have all dependencies, including GNOME JavaScript v1.52 or newer, and PyGTK:

    # Ubuntu 17.10 
    sudo apt update && sudo apt install bash coreutils gir1.2-gtk-3.0 git gjs npm python-gtk2

    Then install with npm:

    npm i -g acme-commander
     
    # Above not working? Try a local prefix: 
    echo prefix=~/.local >> ~/.npmrc
    npm i -g acme-commander

    Run:

    acme-commander
     
    # Command not found? Add a search path: 
    echo 'export PATH="~/.local/bin:$PATH"' >> ~/.profile
    source ~/.profile
    acme-commander

    Development

    Also install Yarn. Get started:

    # clone repo 
    git clone https://github.com/makepost/acme-commander
    cd acme-commander
     
    # install dependencies 
    yarn
     
    # open gjs with hot reload 
    yarn start
     
    # lint all JS files in `bin` and `src` 
    yarn format
     
    # run tests and see coverage 
    yarn coverage && xdg-open coverage/index.html

    VS Code will highlight mistakes and provide autocomplete, as long as you follow JSDoc @param and @type.

    License

    MIT

    Keywords

    none

    Install

    npm i acme-commander

    DownloadsWeekly Downloads

    47

    Version

    1.5.5

    License

    MIT

    Last publish

    Collaborators

    • makepost